Index: doc/src/sgml/config.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/config.sgml,v
retrieving revision 1.96
diff -c -r1.96 config.sgml
*** doc/src/sgml/config.sgml	21 Nov 2006 01:23:37 -0000	1.96
--- doc/src/sgml/config.sgml	1 Dec 2006 22:47:32 -0000
***************
*** 4400,4411 ****
  
      <para>
       The following parameters are intended for work on the
!      <productname>PostgreSQL</productname> source, and in some cases
       to assist with recovery of severely damaged databases.  There
       should be no reason to use them in a production database setup.
       As such, they have been excluded from the sample
!      <filename>postgresql.conf</> file.  Note that many of these
!      parameters require special source compilation flags to work at all.
      </para>
  
      <variablelist>
--- 4400,4415 ----
  
      <para>
       The following parameters are intended for work on the
!      <productname>PostgreSQL</productname> source specifically
       to assist with recovery of severely damaged databases.  There
       should be no reason to use them in a production database setup.
       As such, they have been excluded from the sample
!      <filename>postgresql.conf</> file. 
!     </para>
! 
!     <para>
!      Additional parameters used for tracing server behaviour are discussed
!      in the trace chapter.
      </para>
  
      <variablelist>
***************
*** 4423,4449 ****
        </listitem>
       </varlistentry>
  
-      <varlistentry id="guc-debug-assertions" xreflabel="debug_assertions">
-       <term><varname>debug_assertions</varname> (<type>boolean</type>)</term>
-       <indexterm>
-        <primary><varname>debug_assertions</> configuration parameter</primary>
-       </indexterm>
-       <listitem>
-        <para>
-         Turns on various assertion checks. This is a debugging aid. If
-         you are experiencing strange problems or crashes you might want
-         to turn this on, as it might expose programming mistakes. To use
-         this parameter, the macro <symbol>USE_ASSERT_CHECKING</symbol>
-         must be defined when <productname>PostgreSQL</productname> is
-         built (accomplished by the <command>configure</command> option
-         <option>--enable-cassert</option>). Note that
-         <varname>debug_assertions</varname> defaults to <literal>on</>
-         if <productname>PostgreSQL</productname> has been built with
-         assertions enabled.
-        </para>
-       </listitem>
-      </varlistentry>
- 
       <varlistentry id="guc-ignore-system-indexes" xreflabel="ignore_system_indexes">
        <term><varname>ignore_system_indexes</varname> (<type>boolean</type>)</term>
        <indexterm>
--- 4427,4432 ----
***************
*** 4459,4560 ****
        </listitem>
       </varlistentry>
  
-      <varlistentry id="guc-post-auth-delay" xreflabel="post_auth_delay">
-       <term><varname>post_auth_delay</varname> (<type>integer</type>)</term>
-       <indexterm>
-        <primary><varname>post_auth_delay</> configuration parameter</primary>
-       </indexterm>
-       <listitem>
-        <para>
-         If nonzero, a delay of this many seconds occurs when a new
-         server process is started, after it conducts the
-         authentication procedure.  This is intended to give an
-         opportunity to attach to the server process with a debugger.
-         This parameter cannot be changed after session start.
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry id="guc-pre-auth-delay" xreflabel="pre_auth_delay">
-       <term><varname>pre_auth_delay</varname> (<type>integer</type>)</term>
-       <indexterm>
-        <primary><varname>pre_auth_delay</> configuration parameter</primary>
-       </indexterm>
-       <listitem>
-        <para>
-         If nonzero, a delay of this many seconds occurs just after a
-         new server process is forked, before it conducts the
-         authentication procedure.  This is intended to give an
-         opportunity to attach to the server process with a debugger to
-         trace down misbehavior in authentication.
-         This parameter can only be set in the <filename>postgresql.conf</>
-         file or on the server command line.
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry id="guc-trace-notify" xreflabel="trace_notify">
-       <term><varname>trace_notify</varname> (<type>boolean</type>)</term>
-       <indexterm>
-        <primary><varname>trace_notify</> configuration parameter</primary>
-       </indexterm>
-       <listitem>
-        <para>
-         Generates a great amount of debugging output for the
-         <command>LISTEN</command> and <command>NOTIFY</command>
-         commands.  <xref linkend="guc-client-min-messages"> or
-         <xref linkend="guc-log-min-messages"> must be
-         <literal>DEBUG1</literal> or lower to send this output to the
-         client or server log, respectively.
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry id="guc-trace-sort" xreflabel="trace_sort">
-       <term><varname>trace_sort</varname> (<type>boolean</type>)</term>
-       <indexterm>
-        <primary><varname>trace_sort</> configuration parameter</primary>
-       </indexterm>
-       <listitem>
-        <para>
-         If on, emit information about resource usage during sort operations.
-         This parameter is only available if the <symbol>TRACE_SORT</symbol> macro
-         was defined when <productname>PostgreSQL</productname> was compiled.
-         (However, <symbol>TRACE_SORT</symbol> is currently defined by default.)
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry>
-       <term><varname>trace_locks</varname> (<type>boolean</type>)</term>
-       <term><varname>trace_lwlocks</varname> (<type>boolean</type>)</term>
-       <term><varname>trace_userlocks</varname> (<type>boolean</type>)</term>
-       <term><varname>trace_lock_oidmin</varname> (<type>boolean</type>)</term>
-       <term><varname>trace_lock_table</varname> (<type>boolean</type>)</term>
-       <term><varname>debug_deadlocks</varname> (<type>boolean</type>)</term>
-       <term><varname>log_btree_build_stats</varname> (<type>boolean</type>)</term>
-       <listitem>
-        <para>
-         Various other code tracing and debugging options.
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry id="guc-wal-debug" xreflabel="wal_debug">
-       <term><varname>wal_debug</varname> (<type>boolean</type>)</term>
-       <indexterm>
-        <primary><varname>wal_debug</> configuration parameter</primary>
-       </indexterm>
-       <listitem>
-        <para>
-         If on, emit WAL-related debugging output. This parameter is
-         only available if the <symbol>WAL_DEBUG</symbol> macro was
-         defined when <productname>PostgreSQL</productname> was
-         compiled.
-        </para>
-       </listitem>
-      </varlistentry>
- 
      <varlistentry id="guc-zero-damaged-pages" xreflabel="zero_damaged_pages">
        <term><varname>zero_damaged_pages</varname> (<type>boolean</type>)</term>
        <indexterm>
--- 4442,4447 ----
